using System;
using System.Collections.Generic;
using System.Text;
using Mogre;
using System.Runtime.InteropServices;
using HikariDemo.Core;

namespace HikariDemo
{
    class EntryPoint
    {
        static void Main(string[] args)
        {
            try
            {
                //FightScene app = new FightScene();
                HikariScene app = new HikariScene();
                app.Go();
            }
            catch (SEHException ex)
            {
                // Check if it's an Ogre Exception
                if (OgreException.IsThrown)
                    CoreClass.ShowOgreException();
                else
                    throw ex;
            }
        }
    }
}
